merge-request-to-release:
    stage: merge-request-to-release
    image: docker.io/laylatichy/ci:gitzx
    before_script:
        - git config --global user.email "$GITLAB_USER_EMAIL"
        - git config --global user.name "$GITLAB_USER_ID"
        - git remote set-url origin git@gitlab.com:$CI_PROJECT_PATH.git
    script:
        - git fetch
        - git checkout master
        - git reset --hard origin/master
        - npm i
        - zx .ci/scripts/merge_request.mjs
    retry: 2
    only:
        - master
